# squash_matrix_api
# Endeavor The squash matrix API enables clubs, players, and regions to own their information, with results being updated weekly. The API information sits ontop of squash matrix australia website [https://squashmatrix.com](https://squashmatrix.com) # API Aside from the documentation provided below, there is also a `{json:api}` available and can be accessed in the same manner, with the addition of the accept header `{accept: application/vnd.api+json}`. More information about json api can be viewed on their website at [http://jsonapi.org/](http://jsonapi.org/) # Squash Matrix Scrapper There is a ruby SDK for retrieving information from [https://squashmatrix.com](https://squashmatrix.com) which can be found at https://rubygems.org/gems/squash_matrix # SDK's Please stay posted! Client sdk's for the following will be provided shortly:    - Javascript   - Java   - Ruby  # Blog Find relevent and interesting media on [wilkosz.com.au](http://wilkosz.com.au) # Contact Join this endeavor and be appart of the community [https://www.facebook.com/squashmatrixapi](https://www.facebook.com/squashmatrixapi) <hr />

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import SquashMatrixAPI 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import SquashMatrixAPI
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import SquashMatrixAPI
from SquashMatrixAPI.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = SquashMatrixAPI.DefaultApi()
page = 56 # int | The page of clubs (optional)
page_size = 56 # int | The size of page (optional)

try:
    # Get page of clubs
    api_response = api_instance.clubs_get(page=page, page_size=page_size)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->clubs_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.squashmatrix.io/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**clubs_get**](docs/DefaultApi.md#clubs_get) | **GET** /clubs | Get page of clubs
*DefaultApi* | [**clubs_squash_matrix_id_get**](docs/DefaultApi.md#clubs_squash_matrix_id_get) | **GET** /clubs/{squashMatrixId} | Get club by Squash Matrix ID
*DefaultApi* | [**games_game_id_get**](docs/DefaultApi.md#games_game_id_get) | **GET** /games/{gameId} | Get game by ID
*DefaultApi* | [**games_get**](docs/DefaultApi.md#games_get) | **GET** /games | Get page of games
*DefaultApi* | [**players_get**](docs/DefaultApi.md#players_get) | **GET** /players | Get page of players
*DefaultApi* | [**players_squash_matrix_id_get**](docs/DefaultApi.md#players_squash_matrix_id_get) | **GET** /players/{squashMatrixId} | Get player by Squash Matrix ID


## Documentation For Models

 - [ApiResponseErrors](docs/ApiResponseErrors.md)
 - [ApiResponseErrorsErrors](docs/ApiResponseErrorsErrors.md)
 - [Club](docs/Club.md)
 - [Game](docs/Game.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [Player](docs/Player.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author



